<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0003PickupViewBase from './ibizsample0003-pickup-view-base.vue';

import view_pickupviewpanel from '@widgets/ibizsample0003/pickup-viewpickupviewpanel-pickupviewpanel/pickup-viewpickupviewpanel-pickupviewpanel.vue';
@Component({
    components: {
        view_pickupviewpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0003PickupView extends IBIZSample0003PickupViewBase {

}
</script>